The question requires that all valid locations of "" (a) and "" (B) be output, and only one byte storage variable can be used;
Solution 1:
1 #includeView code
There are nine methods for a and B, So I = 81, for an integer I = I/9*9 + I % 9; I % 9 with I/9 change round, it is equivalent to a nested loop; an I is used to represent the changes of two values;
Of course, you can also use this method to implement multiple nesting;
Solution 2:
1 #includeView code
Refer to related bit operations
The b
Http://acm.hdu.edu.cn/showproblem.php? PID = 1, 4405
There are n + 1 points, 0 ~ N. A person is standing at X now. If Flight lines exists at X, he can fly to the corresponding point without rolling the dice. Otherwise, he will move forward to the number on the dice. Asked him the average number of times he needed to throw a dice from.
For the same question type, DP [N] is known to be 0, and then the inverse is performed based on the probability that the current point can reach the next point.
Question LinkGiven a directed acyclic graph (DAG) with some flags on it, the flag can overlap. Two people can take turns and move a flag from one position to another, if the device cannot be moved, enter and ask if the player must win.
This question can regard each flag as a separate game. Then, the SG values of all these flags are the XOR and SG values of these flags, which can be memorized for searching DFS, the SG value can be used for brute force calculation.
#includeView code
[Original blo
Generate valid methods
Reprinted by the author:
By: 88250
Blog: http:/blog.csdn.net/dl88250
MSN Gmail QQ: DL88250@gmail.com
Method generation is to generate all valid methods, so that computer players can choose the best method in these methods, and finally come out of this. To generate all methods, you can only use the exhaustive method. About 45 Chinese chess methods can be selected at each step. The following code is used:
/** * Genera
Cocos2d-X development of Chinese chess "seven" new board function implementation, cocos2d-x "seven"
In the previous section, I introduced the implementation of the starting function. In this blog, I will introduce the implementation of the new functions.
First, let's take a look.
We can see the Implementation ideas of the new Bureau through the observed implementation results.
1. Hide the selection box
2. Hide 32 pawns
3. initialize 32 pawns
Cocos2d-X development of Chinese chess "12" game results display and hide, cocos2d-x "12"
In the previous section, background music is played in the game. This section displays and hides game results.
Let's take a look.
When a player wins, a dialog box indicating that the player wins is displayed.
When the dialog box is clicked, the dialog box and pawns are hidden.
Click Start to change the color of the player's pawns.
When a player loses, a dia
Cocos2d-X development of Chinese chess thirteen to achieve the return and use xml to achieve Chinese, cocos2d-x thirteen
In the previous section, the game results are displayed and hidden. This blog will return to the game's start scenario and display Chinese characters using xml.
Before writing the code, let's take a look at
Implementation Code:Add the following code to the member function init () under SceneGame to create a return button.
// Crea
The last two methods are clever. One is the bit domain and the other is the remainder.
If unsigned char is not used as the bit field, the size is 4. unsigned char to meet the requirement.
1 void chess1 () {2 struct {3 unsigned char A: 4; 4 unsigned char B: 4; 5} I; 6 cout
The beauty of programming: 1.2 | Chinese chess experts
tag: Io OS for SP C r amp time size
/*题目大意:问从0到n所花费时间平均时间。每次有投骰子,投到几就走几步。当然了,还有近道。题目分析:假设现在在i,那么接下来有六种可能的走法,分别是:i到i+1,在由i+1到结束i到i+2,在由i+2到结束i到i+3,在由i+3到结束i到i+4,在由i+4到结束i到i+5,在由i+5到结束i到i+6,在由i+6到结束其中每一个可能的走法发生的概率为n为1/6。那么不妨定义dp(i),表示从i走到结束的期望。那么有下面的等式:dp(i-1) = sum((dp((i-1)+j)+1)*p) 其中j ∈[0,6]。当(i-1)+j >= n时,只需要时间1就可以结束。当有近道(i,j)时,可以直接跳过去。dp(i)=dp(j)。*/# include
hdu 4405 Aeroplane chess (概率dp)
// Chinese chess handsome question // A, indicates yes, B Indicates handsome //, coordinates of B running position // 1 2 3 // 4 5 6 // 7 8 9 //, the position of B cannot be the same column. // print all solutions that meet the conditions. Public class test {public static void main (string [] ARGs) {for (INT I = 1; I
Output result:
A: 1 B: 2a: 1 B: 3A: 1 B: 5A: 1 B: 6a: 1 B: 8A: 1 B: 9A: 2 B: 1A: 2 B: 3A: 2 B: 4A: 2 B: 6a: 2 B: 7A: 2 B: 9A: 3 B:
Think of 50%. F [I] [J] [k] indicates the first I type, which occupies the K column of the J row. Number of solutions. Found that the transfer should be handled: the number of "using C pawns to occupy n rows of M columns. Set G [I] [J] [k] to represent the number of K pieces occupied by column J in the I row. Directly deal with complexity explosion. Then I went to mengbier. Consider the following: That is, the total number of solutions-the number of illegal solutions (not completely covere
Link: hdu 4832 Chess
Question: omitted. (Note that King can only go around 8 cells)
Solution: Separate the horizontal and vertical values. l [I] indicates the number of types that go vertical without going out of bounds. r [I] indicates the number of types that go horizontally in step I without going out of bounds, the number of horizontal and vertical steps (k) are enumerated and multiplied by the combination number. Because the number of steps is de
Test instructions: Given a tree with a direction graph, some nodes have pebbles, each time a stone can be taken to a forward edge of the movement, can not be moved negative.Ans: Nim on the tree, the leaf node Nim is 0, the Father node recursive son to get the SG value, the answer is that each stone point of the SG value XOR.1#include 2#include 3#include 4#include 5#include string>6#include 7 intsg[1005],s[1005],n,x,ans,m;8 inttot,go[1005*2005],first[1005],next[1005*2005],ru[1005],num;9 voidInser
dress, but want is not this dress.The difficulty of the algorithm to a certain extent is the reason I like, haha, really sarcastic ah.1#include 2#include 3#include string.h>4 using namespacestd;5 Long Longdp[ +][ +];6 intMain ()7 {8 intN;9 intt=1;Ten for(intI=1; i $; i++) Onedp[i][0]=1; A for(intI=1;i $; i++) - { - for(intj=1;j $; j + +) the { - if(I==J) dp[i][j]=dp[i][j-1]; - Else -dp[i][j]=dp[i-1][j]+dp[i][j-1]; + } -
Test instructionsAn n-row 20-column checkerboard. Each line has a number of pieces.Two people in turn, each time a piece can be moved to the right one position, if it has a piece to the right, skip this piece, if there are a number of pieces, will be the number of skipped.But the pieces cannot move out of the boundary.If there is no way to move, even if you lose. Ask you to go first can win.Analysis:SG with a pressure of a shape.The answer to each column is different or up.1#include 2#include 3#
The content source of this page is from Internet, which doesn't represent Alibaba Cloud's opinion;
products and services mentioned on that page don't have any relationship with Alibaba Cloud. If the
content of the page makes you feel confusing, please write us an email, we will handle the problem
within 5 days after receiving your email.
If you find any instances of plagiarism from the community, please send an email to:
info-contact@alibabacloud.com
and provide relevant evidence. A staff member will contact you within 5 working days.